Bug 129667 - Selected code folds are not distinguishable
Selected code folds are not distinguishable
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Code folding
6.x
All All
: P3 (vote)
: 7.4
Assigned To: Svata Dedic
issues@editor
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 15:07 UTC by Petr Dvorak
Modified: 2013-05-02 14:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Blue background of the selected folded code... (18.09 KB, image/png)
2008-03-10 15:18 UTC, Petr Dvorak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2008-03-10 15:07:06 UTC
Fold some code block, move the cursor in front of the folded block ("{...}") and select the folded code (press Right while holding a Shift key). The selected 
folded block is not distinguishable from a non-selected one. It would be nice if a selected folded code would have blue background, for example.
Comment 1 Petr Dvorak 2008-03-10 15:18:19 UTC
Created attachment 58067 [details]
Blue background of the selected folded code...
Comment 2 Vitezslav Stejskal 2008-03-11 17:16:48 UTC
Makes sense.
Comment 3 Svata Dedic 2013-04-29 10:02:41 UTC
I'll use regular text' selection bk color to highlight fold with at least
partially selected text.
Comment 4 Svata Dedic 2013-04-29 10:04:45 UTC
Implemented in http://hg.netbeans.org/jet-main/rev/bdd42a5d0757
Comment 5 Quality Engineering 2013-05-02 14:12:01 UTC
Integrated into 'main-golden', will be available in build *201305021042* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bdd42a5d0757
User: Svata Dedic <sdedic@netbeans.org>
Log: #129667: background color of partially selected folds taken from regular text colors


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo